/* 
 * CartoGraf theme for Tiki 21.x+
 * 
 * Compile from SCSS to CSS using the following command:
 * php console.php scss:compile CartoGraf
 */

// First redefine some Bootstrap variables
$blue: #056f8a;
$blue-darker: darken($blue, 20%);
$green: #5f8b05;
$trans: transparent;

$text-color: #333;

$btn-default-bg: $blue;
$btn-default-color: #fff;
$btn-default-hover-bg-lighter: lighten($btn-default-bg, 40%);
$btn-primary-bg: $green;
$modal-content-bg: #fff;
$modal-header-bg: $blue;

$font-size-base: 1.3rem;

/* Bootstrap base files  */
@import "../../../vendor_bundled/vendor/twbs/bootstrap/scss/bootstrap.scss";
@import "../../base_files/scss/_tiki-variables.scss";
@import "../../base_files/scss/_external-scripts.scss";

/* Followed by theme specific CSS definitions */

* a {
	color: $blue;
}

* a:visited i{
	color: $green;
}

* a:hover, * a:visited:hover {
	color: #999
}

h1, h2, h3, h4, h5, h6 {
	margin: 5px 0;
}

html {font-size: 62.5%} // Base font size for better 1rem = 10px computation

input[type=text], input[type=password], input[type=url], input.url, textarea {
	border: solid 1px #cfcfcf;
	box-shadow: inset 0 5px 15px rgba(0, 0, 0, .2);
	padding: 4px 0;
}

.highlight {
	padding: .5em;
	border-radius: 10px;
}

/*
 ***** Common Menus *****
 */

/* Some default values for basic CSS menus design */
.menuLevel1 a {
	background: #fff;
	line-height: 2em;
}

/* END Common Menus */

/* Modules reset */
.modules {
	position: static;
}

/*
 ***** Header *****
 */

#page-header {
	background: transparent url("../img/menuFond.gif") repeat-x;
	height: 230px;
	margin-left: -15px;
	margin-right: -15px;
}

/* Site Logo module */
.box-logo {
	position: relative;
	z-index: 800;
	width: 300px !important;
}

.sitelogo {
	position: absolute;
	z-index: 1000;
}

.sitelogo a {
	display: block;
	margin-left: 12px;
	width: 292px;
	height: 91px;
}

.sitelogo a img {
	margin-top: 0;
}

.box-login_box .dropdown-menu li.pass,
.box-login_box .dropdown-menu li.register,
.bgtrans {
	background-color: $trans;
}

.siteloginbar_poppedup {
	background: rgba(200, 200, 200, 0.8) !important;
	border: solid 6px rgba(255, 255, 255, 1);
	border-top: none;
	border-radius: 0 0 10px 10px;
	box-shadow: 0 5px 3px -3px rgba(0, 0, 0, .5);
}

#page-header > .row {
	margin-left: 0 !important;
	margin-right: 0 !important;
}

#top_modules .box-menu {
	position: absolute;
	top: 0;
	left: 350px;
	margin-left: 0 !important;
}

#top_modules .navbar-default {
	background-color: transparent;
	border: none;
	margin-bottom: 0;
	min-height: auto;
}

#top_modules .navbar-nav > li > a {
	line-height: 3.6rem;
	padding-bottom: 0;
	padding-top: 0;
}

/*
 ***** Live OpenStreet Map module in the header *****
 */
#LiveHeaderMap {
	background: url("../img/header_map.jpg") center -130px repeat-x;
}

#TheLiveHeaderMap { /* live map not used anymore - replaced by the above default static map image */
	/*	cursor: move;*/
	height: 188px
}

form[action="tiki-wizard_admin.php"],
.mt200 {
	margin-top: 200px
}

/* Overwrite OpenLayers Maps CSS */
#TheLiveHeaderMap .olControlPanZoom {
	display: none !important;
}

#TheLiveHeaderMap .olControlAttribution {
	bottom: 5px;
}

#top_modules .box-LiveHeaderMap {
	position: absolute;
	top: 42px;
	left: 0;
	width: 100%;
	height: 188px;
	/*	z-index: -1;*/
}

/* make sure h3 title of module is not displayed */
#top_modules .box-LiveHeaderMap h3 {
	display: none;
}

/* END Live OpenStreet Map module */

#top_modules .box-login_box {
	float: right;
	margin-right: 290px;
}

#top_modules .box-login_box .btn-link {
	line-height: 22px;
}

/* Map Location Search */
#top_modules .map-location-search {
	top: 0;
	right: 0;
	position: absolute;
	margin: 7px 15px;
}

#top_modules .map-location-search label, #top_modules .map-location-search img {
	display: none
}

#top_modules .map-location-search input {
	background: #fff url("../img/menuRecherche_loupe.gif") no-repeat center right;
	border: none;
	border-top: solid 1px #999;
	border-radius: 10px;
	height: 20px;
	padding: 0 10px;
}

#top_modules .map-location-search input[type=submit] {
	display: none
}

/* END Map Location Search */

#top_modules .cssmenu_horiz a, #top_modules .box-login_box a {
	color: #333;
	line-height: 38px;
	outline: 0 none;
	padding: 0 15px;
}

.box-login_box ul, .siteloginbar_poppedup {
	list-style: none;
	margin: 0;
	padding: 0;
}

.cluetip-transparent {
	top: 0 !important;
}

.ui-button-icon-only .ui-button-text, .ui-button-icons-only .ui-button-text,
.cluetip-transparent .ui-cluetip-content {
	padding: 0 !important;
}

.cluetip-transparent.ui-widget-content, .cluetip-transparent .ui-widget-content {
	background: none;
	border: none;
}

.ui-cluetip a {
	color: #fff !important;
}

.tiki .ui-widget-header .ui-state-hover, .tiki .ui-widget-header .ui-state-focus {
	background-color: $btn-default-hover-bg-lighter;
}

#top_modules {
	height: 52px;
}

#top_modules .box-quickadmin {
    bottom: 0;
    padding: 0;
    position: fixed;
    right: 10px;
    top: auto;
    z-index: 1100;
}
/* END Header */

/*
 ***** Middle *****
 */
#row-middle {
	background: #E8E8E8 url("../img/pageFond.gif") repeat-x;
	padding: 5px 0;
}

/* override layout.css module's 180px max-width in main */
#role_main .module {
	max-width: 33em;
}

#loginbox-tiki-login fieldset {
	padding: 1em;
	min-width: 31em
}

#loginbox-tiki-login fieldset * {
	padding: .5em
}

.floatleft,
#loginbox-tiki-login label {
	float: left;
}

.floatright {
	float: right;
}

#login-user_tiki-login, #login-pass_tiki-login {
	width: 60%;
	float: right
}

#loginbox-tiki-login div {
	clear: both
}

/* UI dialogs, e.g. for the Tiki Draw too */
.ui-widget-overlay {
	z-index: 100000 !important;
}

.ui-dialog {
	z-index: 100001 !important;
}

// override the Tiki default
.tiki .ui-widget-header {
	background: $modal-header-bg; // specified on top of this file
	color: $btn-default-color;
}

#colorbox, #cboxOverlay, #cboxWrapper,
.modal {
	z-index: 100002;
}

/* Errors boxes should be visible on top of all */
#error_report {
	margin: auto;
	position: relative !important;
	width: 90%;
	z-index: 999999 !important;
}

#role_main {
	min-height: 400px;
	padding: 10px 10px 50px;
}

#role_main fieldset {
	border-radius: 0 15px 15px 15px;
}

/* Left map controls under the zoom bar need a little tweak not to overlap (when using OpenStreetMap it has larger zoom scale) + moved to bottom to prevent Windows 8 IE10 Metro UI back button overlap */
.olControlNavToolbar {
	top: auto !important;
	bottom: 70px;
	position: fixed !important;
}

/* zoom stuff for 12.x */
.olControlPanZoomBar {
	top: 90px !important;
}

/* Where the actual Lat/Lon displays over the map */
.olControlMousePosition {
	bottom: 66px !important;
	left: 155px !important;
	top: auto;
	width: 130px;
	height: 15px;
	line-height: 15px;
	position: fixed !important;
	background: rgba(0, 0, 0, .75);
	border-radius: 10px;
	color: #fff;
	text-align: center;
}

.olControlOverviewMapElement {
	background: rgba(0, 0, 0, .75) !important;
}

/* This sprite overwrites the default map controls icons */
.olControlNavToolbar div, .olControlEditingToolbar div {
	background-image: url("../img/editing_tool_bar.png") !important;
}

/* Hide the default ControlNavigation icon on the left */
.olControlNavigationItemActive,
.olControlNavigationItemInactive {
	display: none;
}

#col1 {
	min-height: 280px;
	padding-bottom: 48px;
	position: static;
}

/* CSS for our Maps AppFrame and Overlays */
#appframe {
	bottom: 42px !important;
	margin-top: 84px !important;
	position: absolute !important;
	top: -42px !important;
}

/* Not sure why this was here - it hides the paragraphs and lists on the Setup instructions page - probably not what we want... luci
#page-data > ul,
#page-data > p {
	display: none;
}*/

.overlay a.active img.icon {
	background-color: #fff;
	border-radius: 5px;
}

.overlay img.icon {
	width: 22px !important;
	height: 19px !important;
	padding: 2px;
}

.ui-dialog #insertItemForm1 .checkbox, // hides the "Create another" checkbox in modal dialogs
.ui-dialog #insertItemForm2 .checkbox,
.ui-dialog #insertItemForm3 .checkbox,
.ui-dialog h1.pagetitle:first-of-type,
.overlay.top_icons a,
#marker_contentDiv th {
	display: none
}

.left_icons *,
.top_icons * {
	box-sizing: content-box;
}

/* Layer Selector at the bottom */
.layer_selector {
	bottom: 20px !important;
	left: 300px !important;
}

.layer_selector h4 {
	display: none
}

.layer_selector select {
	background: rgba(0, 0, 0, .75) !important;
	color: #fff !important;
	border: none !important;
	border-radius: 10px !important;
	box-shadow: 0 10px 15px rgba(0, 0, 0, .25);
	/*height: 25px !important*/
	padding: 5px 5px !important;
	outline: none !important;
}

.layer_selector select * {
	background: #333 !important;
	color: #fff !important;
	border: none !important;
}

.layer_selector select:active {
	outline: 0 none;
}

.layer_selector option {
	border: none;
}

.layer_selector option[selected="selected"] {
	background-color: rgb(95, 139, 5) !important;
	color: #fff !important;
}

/* Map in Edit dialog */
.ui-dialog .map-container {
	width: 100% !important;
	height: 220px !important;
}

.ui-dialog .edit-zone textarea {
	min-height: 100px
}

.ui-dialog fieldset {
	padding: 10px
}

.ui-dialog fieldset input[type=text], .ui-dialog fieldset input[type=url] {
	width: 99% !important
}

/* Map Anchors */
.anchor-container {
	top: 0 !important;
}

h3.anchor-head {
	clear: both;
	float: right;
	line-height: 61px;
	height: 61px;
	margin: 10px 0 0;
	padding: 0;
}

h3.anchor-head a {
	display: block;
	float: left;
	line-height: 61px;
	height: 61px;
	vertical-align: middle;
}

h3.anchor-head span {
	background: $blue;
	border-bottom: solid 4px rgb(125, 169, 178);
	border-top: solid 4px rgb(125, 169, 178);
	border-radius: 0;
	color: rgb(223, 246, 253);
	display: block;
	float: right;
	font-variant: small-caps;
	font-weight: bold;
	font-size: 20px;
	line-height: 61px;
	height: 61px;
	padding: 0 20px;
	vertical-align: middle;
	min-width: 220px;
}

h3.anchor-head img {
	vertical-align: top;
}

.anchor-content {
	background-color: rgba(255, 255, 255, 1);
	border-radius: 0 0 0 20px;
	box-shadow: 0 5px 3px -3px rgba(0, 0, 0, .5);
	clear: both;
	float: right;
	padding: 5px 10px 20px;
	width: 240px;
	overflow-x: hidden;
	overflow-y: auto;
	max-height: 50vh;
}

.anchor-content h2 {
	font-size: 19px;
}

.anchor-content h3 {
	font-size: 16px;
}

.anchor-content h4 {
	font-size: 13px;
}

.anchor-content ul {
	list-style-type: none;
	margin-left: 0;
	padding-left: 0;
}

#map-legend li {
	font-size: 10px;
	min-height: 40px;
	line-height: 18px;
	padding: 0 105px 0 40px;
	position: relative;
}

#map-legend li img {
	clear: both;
	margin-right: 5px;
	position: absolute;
	top: 1px;
	left: 1px;
	vertical-align: middle;
}

#map-legend li a.editlink,
#map-legend li a.deletelink {
	display: none
}

.anchor #map-legend li a.editlink {
	background: rgba(95, 139, 5, .5);
	border-radius: 15px;
	color: #fff;
	display: block;
	float: right;
	font-size: 9px;
	line-height: 12px;
	margin: 5px;
	padding: 5px;
	position: absolute;
	top: 0;
	right: 55px; /* TODO: do differently - it will probably overlap the deletelink when in different language/font size later */
	text-decoration: none;
}

.anchor #map-legend li a.editlink:hover {
	background: rgba(95, 139, 5, 1);
}

.anchor #map-legend li a.deletelink {
	background: rgba(139, 30, 5, .5);
	border-radius: 15px;
	color: #fff;
	display: block;
	float: right;
	font-size: 9px;
	line-height: 12px;
	margin: 5px;
	padding: 5px;
	position: absolute;
	top: 0;
	right: 0;
	text-decoration: none;
}

.anchor #map-legend li a.deletelink:hover {
	background: rgba(139, 30, 5, 1);
}

a.map-custom-print, a.viewlink {
	background: rgba(5, 111, 138, .5);
	border-radius: 15px;
	color: #fff !important;
	float: right;
	font-size: 9px;
	line-height: 12px;
	margin: 5px;
	padding: 5px;
	text-decoration: none;
}

a.map-custom-print:hover, a.viewlink:hover {
	background: rgb(5, 111, 138);
}

.anchor-content .icon_edit_section {
	display: none;
}

#map-legend-add {
	clear: both;
	text-align: center;
}

#map-legend-add input[type="submit"],
#duplicate-form input[type="submit"],
#edit-share-code input[type="submit"],
a.service-dialog-edit,
a.service-dialog-view {
	background: rgb(95, 139, 5);
	border: none;
	border-radius: 15px;
	color: #fff !important;
	margin: 0 18px;
	padding: 5px 10px;
	text-decoration: none;
}

#edit-share-code input[type="submit"] {
	margin: 0 0 0 4px;
}

#edit-share-code label,
#show-share-code {
	float: left;
	clear: both;
}

a.mymaps {
	background: rgb(145, 175, 227);
	border: none;
	border-radius: 15px;
	color: #fff !important;
	margin: 0 5px;
	padding: 5px 10px;
	text-decoration: none;
}

div.map-collaborate a.service-dialog-edit {
	background: rgb(122, 47, 23);
	border: none;
	border-radius: 15px;
	color: #fff !important;
	margin: 0 5px;
	padding: 5px 10px;
	text-decoration: none;
}

#delete-form input[type="submit"] {
	background: rgb(139, 30, 5);
	border: none;
	border-radius: 15px;
	color: #fff !important;
	margin: 0 5px;
	padding: 5px 10px;
	text-decoration: none;
}

#duplicate-form, .map-collaborate {
	float: left;
	width: 50%;
}

.map-info a.service-dialog-view {
	background: rgb(5, 111, 138);
}

#permalink {
	width: 100%
}

.optionalLayers label {
	white-space: nowrap;
	display: block;
}

.optionalLayers label input[type="checkbox"] {
    margin: 4px 4px 0;
}
.optionalLayers {
	max-height: 200px;
	overflow: auto;
}

/* Home Page content */
#AboutCartoGraf {
	background: $green url("../img/vertPlanete.png") no-repeat top right;
	border: solid 6px #a7c664;
	border-radius: 20px;
	color: #cedbaf;
	margin: 0 !important;
	margin-top: 30px !important;
	min-height: 250px;
	text-align: left;
	width: 58%;
}

#AboutCartoGraf .panel-heading {
	background: #a7c664;
	color: $green;
	margin-top: 15px;
	font-variant: small-caps;
	font-weight: bold;
	font-size: 20px;
	line-height: 50px;
	padding-left: 40px;
}

#AboutCartoGraf .panel-body, #MapOfTheDay .panel-body {
	padding-left: 40px;
}

#AboutCartoGraf .panel-body ul {
	font-size: 16px;
	list-style-type: none;
	margin-left: 0;
	padding-left: 0;
	line-height: 24px;
}

#AboutCartoGraf .panel-body a {
	color: #cedbaf !important;
	text-decoration: underline;
}

#MapOfTheDay {
	background: $blue;
	border: solid 6px #b5c6c9;
	border-radius: 20px;
	color: #b5c6c9;
	margin: 0 !important;
	margin-top: 30px !important;
	min-height: 250px;
	height: 100%;
	text-align: left;
	width: 38%;
}

#MapOfTheDay .panel-heading {
	background: #b5c6c9;
	color: $blue;
	margin-top: 15px;
	font-variant: small-caps;
	font-weight: bold;
	font-size: 20px;
	line-height: 50px;
	padding-left: 40px;
}

#MapOfTheDay .panel-body a {
	color: #b5c6c9 !important;
	text-decoration: underline;
}

/*
 ***** Tabs *****
 */
.tabactive {
	border-bottom: none;
}

.tabcontent {

}

/* END Tabs */

/* END Middle */

/* Col2 */
#col2 .modules {
	padding: 5px
}

/* Footer */
#footer {
	position: fixed;
	background: #fff;
	bottom: 0;
	margin-left: -15px;
	margin-right: -15px;
	padding: 5px 0;
	width: 100%;
	z-index: 1;
}

#footer .modules {
	font-size: 9px;
	line-height: 10px;
	margin: 0;
	padding: 0 5px;
	text-align: center
}

#footer .modules .editplugin, #footer .modules br {
	display: none;
}

.box-poweredby, .box-rsslist {
	display: none;
}

/*
 ***** Right Edge menu *****
 */
#RightEdgeMenu {
	margin-top: 40px;
	position: fixed;
	width: 100%;
}

#RightEdgeMenu > nav {
	width: 100%;
	position: relative;
}

#RightEdgeMenu > nav > .nav {
	float: none;
}

#RightEdgeMenu a {
	background-color: rgb(139, 87, 5);
	font-variant: small-caps;
	font-weight: bold;
	font-size: 20px;
	color: #dfcfaf;
	border: solid 5px rgb(215, 207, 174);
	border-radius: 20px 0 0 20px;
	line-height: 50px;
	margin-bottom: 10px;
	padding-left: 40px;
	border-right: none;
	width: 70%;
	overflow: hidden;
	/*
	display: block;
	position: absolute;
	right: 0;
	*/
}

/* if not anonymous hide the register link menu item (which is first item) */
.grp_Registered #RightEdgeMenu nav > ul > li:first-child {
	display: none;
}

/* Map print view */
#main div div.olMap {
	margin-right: 5px !important;
	margin-bottom: 5px !important;
}

/* Thumbnails in File Gallery */
.thumbnail {
	overflow: hidden;
}

/* Infoboxes */

.ui-dialog .service-dialog {
	text-decoration: none;
	font-size: 90%;
}

div.field_7 { /* last field in poi & streetview items */
	padding-bottom: 3em;
	border-bottom: 1px solid #ddd;
}

/* jb cosmetics */

#page-bar {
	position: fixed;
	bottom: 4px;
	z-index: 3;
}

#page-bar .btn {
	border: none;
	font-size: .9em;
}

#page-bar .button a:hover {
	color: #ddd;
	font-size: .9em;
}

.browser-error {
	display: none;
	position: absolute;
	right: 0;
	z-index: 1001;
	padding: 2em;
	margin: 0 1em;
	background-color: #fff;
	border-radius: 0 0 10px 10px;
	font-weight: bold;
}

#cluetip {
	z-index: 100010 !important;
}

/* generic buttons in ui-dialogs only */
.ui-dialog .button,
.ui-dialog .button:hover,
.ui-dialog button,
	/*button:hover,*/
.ui-dialog input[type="reset"],
.ui-dialog input[type="submit"],
.ui-dialog input[type="reset"]:hover,
.ui-dialog input[type="submit"]:hover {
	border: solid 1px #ccc;
	border-radius: 6px;
	color: #fff;
	margin: 0;
	text-decoration: none;
	background-color: #056f8a;
}

.ui-dialog input.btn-warning {
  background-color: #f0ad4e !important;
  border-color: #eea236 !important;
}
.iconmenutext {
	color: #06609C;
}

/* the following depends on tracker item IDs; please change the ID numbers if you do not apply on fresh installed Tiki */

/* hide the "Image" field name in jqui pop-up modals */
.ui-dialog-content h6.field_24,
.ui-dialog-content h6.field_26 {
	display: none;
}

/* for consistency sake align the image thumbnails to left there too */
.ui-dialog-content .field_24,
.ui-dialog-content .field_24 .svgImage {
	margin: inherit !important;
	text-align: left !important;
}

/* hide "extra" sharecode input field in the edit map dialog */

.ui-dialog #trackerinput_16,
.ui-dialog label[for=trackerinput_16] {
	display: none;
}

/* new printing improvements for 2015 */

.printing .map-feature,
.printing .map-description {
	clear: both;
	height: auto;
	page-break-inside: avoid;
	page-break-before: always;
}

.printing .map-description {
	width: 67%;
	float: left;
	border: solid 1px #aaa;
	margin: 1em;
	padding: 1em;
	clear: left;
	min-height: 500px;
	page-break-inside: avoid;
	overflow: hidden;
}

.printing .map-description.big-image {
	width: 80%;
}

.printing .map-feature .olMap {
	float: left;
	border: solid 1px #aaa;
	margin: 1em !important;
	padding: 1em !important;
	clear: right !important;
}

.printing #map-legend {
	width: 200px;
	float: left;
	padding: 1em;
	margin: 1em 0 1em 1em;
	border: 1px solid #aaa;
}

.printing .map-feature h2,
.printing .map-feature .finder,
.printing .map-feature .date,
.printing .map-feature .description {
}

.printing .map-feature .date {
	margin-bottom: 1em;
}

.printing .map-feature .description,
.printing .map-description p {
	font-size: 1.2em;
	line-height: 1.4;
	font-style: normal;
	margin-top: 1em;
}

.printing .map-feature .poiImage {
	float: left;
	margin: 1em 1em 1em 0;
	max-width: 22%;
	overflow: hidden;
}

.printing .map-feature h2 img {
	vertical-align: middle;
	margin-right: .2em;
}

.navbar-toggle {
	position: relative;
	float: right;
	margin-right: 15px;
	padding: 6px 10px;
	margin-top: 4px;
	margin-bottom: 8px;
	background-color: transparent;
	background-image: none;
	border: 1px solid transparent;
	border-radius: 4px;
}

@media (max-width: 767px) {
	#top_modules .navbar-nav > li > a {
		z-index: 1001;
		background-color: #fff;
	}
}

